using System.Xml.Linq;

namespace CoverageFramework.Operator.Generator.C
{
	public class StatementCoverageGeneratorForC : ITaggedXElementGenerator
	{
		#region ITaggedXElementGenerator メンバ

		public XElement[] Generate(string tag)
		{
			return new[] {
				new XElement("expression_statement",
					new XElement("postfix_expression",
						new XElement("primary_expression",
							new XElement("TOKEN", "statement")),
						new XElement("TOKEN", "("),
						new XElement("constant",
							new XElement("TOKEN", '"' + tag + '"')),
						new XElement("TOKEN", ")")),
					new XElement("TOKEN", ";"))
			};
		}

		#endregion
	}
}